Bug 1624482 - RBD: Enable cinder exclusive pool by default
Summary: RBD: Enable cinder exclusive pool by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 13.0 (Queens)
Assignee: Elise Gafford
QA Contact: Avi Avraham
Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 18:37 UTC by Elise Gafford
Modified: 2018-11-13 22:14 UTC (History)
5 users (show)

Fixed In Version: openstack-cinder-12.0.3-4.el7ost
Doc Type: Bug Fix
Doc Text:
This backport adds the configuration option rbd_exclusive_cinder_pool, which defaults to True. This option improves statistics collection for large numbers of RBD volumes. This option should be set to False if your pool is not used exclusively by Cinder.
Clone Of:
Environment:
Last Closed: 2018-11-13 22:13:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3601 None None None 2018-11-13 22:14:24 UTC

Description Elise Gafford 2018-08-31 18:37:38 UTC
rbd_exclusive_cinder_pool should be enabled by default.

The backport described in https://bugzilla.redhat.com/show_bug.cgi?id=1560068 was completed successfully. This backport adds a configuration option, rbd_exclusive_cinder_pool, which if enabled improves statistics collection for large numbers of RBD volumes. Ideally this flag would be set to the ideal default value (True) in TripleO. However, in the meantime, it is a superior customer experience for the majority of customers if this configuration option is set in the project defaults, as is already the case in RHOS 11 and RHOS 12.

Comment 3 Shelley Dunne 2018-10-12 15:34:15 UTC
Updating Target Milestone to z3 for all Modified medium bugs

Comment 9 Tzach Shefi 2018-11-05 11:33:32 UTC
FYI Some inconsistency with fixed-in puddle date. 
On my puddle 2018-10-30.1   > than the BuildID puddle 2018-10-22.4

I've still got a too early of a Cinder version
openstack-cinder-12.0.3-2.el7ost.noarch  < openstack-cinder-12.0.3-4.el7ost

Trying a newer puddle 2018-11-01.1

Comment 10 Tzach Shefi 2018-11-05 12:20:17 UTC
Hey Elise, 
Don't want this to slip by 13z3 release date.
Puddle 2018-11-01.1 still produces a premature 
openstack-cinder-12.0.3-2.el7ost.noarch  < fixed-in 12.0.3-4

Anything we can do to check this our, or just wait for newer puddle?
build ID: puddle=2018-10-22.4 is clearly wrong.

Comment 11 Tzach Shefi 2018-11-06 15:05:17 UTC
New puddle(2018-11-05.3) just landed, I'll redeploy and update once I have news.

Comment 12 Elise Gafford 2018-11-06 15:13:19 UTC
Thanks Tzach.

Comment 13 Tzach Shefi 2018-11-07 08:57:19 UTC
Verified on:
openstack-cinder-12.0.4-2.el7ost.noarch

On cinder.conf I confirm default vaule of true is set for this config option. 
 
grep rbd_exclusive_cinder_pool /var/lib/config-data/puppet-generated/cinder/etc/cinder/cinder.conf 
#rbd_exclusive_cinder_pool = true

Comment 17 errata-xmlrpc 2018-11-13 22:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3601


Note You need to log in before you can comment on or make changes to this bug.